Name:          spectacle
Version:       17.12.3
Release:       1mamba
Summary:       Screenshot Capture Utility
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/applications/%{version}/src/spectacle-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkipi5-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libpurpose-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-image-devel
BuildRequires: libxcb-util-cursor-devel
BuildRequires: libxcb-util-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Provides:      ksnapshot
Obsoletes:     ksnapshot
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Spectacle is a screenshot capture utility for the KDE Plasma desktop.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/%{name}
%{_kde5_datadir}/applications/org.kde.spectacle.desktop
%{_kde5_datadir}/dbus-1/interfaces/org.kde.Spectacle.xml
%{_kde5_datadir}/dbus-1/services/org.kde.Spectacle.service
%{_kde5_datadir}/doc/HTML/*/spectacle
%{_kde5_datadir}/icons/hicolor/*/apps/spectacle.png
%{_kde5_datadir}/icons/hicolor/scalable/apps/spectacle.svgz
%{_kde5_datadir}/khotkeys/spectacle.khotkeys
%{_kde5_datadir}/knotifications5/spectacle.notifyrc
%{_kde5_datadir}/metainfo/org.kde.spectacle.appdata.xml
%doc COPYING COPYING.DOC COPYING.LIB

%changelog
* Fri Mar 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 17.12.0-1mamba
- update to 17.12.0
- fix package group
- provide/obsolete ksnapshot

* Sat Nov 11 2017 Davide Madrisan <davide.madrisan@gmail.com> 17.08.3-1mamba
- package created using the webbuild interface
